=== modified file 'src/exiv2wrapper.cpp'
--- src/exiv2wrapper.cpp	2010-01-22 19:39:18 +0000
+++ src/exiv2wrapper.cpp	2010-01-22 19:44:32 +0000
@@ -118,6 +118,12 @@
     return _image->pixelHeight();
 }
 
+std::string Image::mimeType() const
+{
+    CHECK_METADATA_READ
+    return _image->mimeType();
+}
+
 boost::python::list Image::exifKeys()
 {
     CHECK_METADATA_READ

=== modified file 'src/exiv2wrapper.hpp'
--- src/exiv2wrapper.hpp	2010-01-22 19:39:18 +0000
+++ src/exiv2wrapper.hpp	2010-01-22 19:44:32 +0000
@@ -160,6 +160,9 @@
     unsigned int pixelWidth() const;
     unsigned int pixelHeight() const;
 
+    // Read-only access to the MIME type of the image.
+    std::string mimeType() const;
+
     // Read and write access to the EXIF tags.
     // For a complete list of the available EXIF tags, see
     // libexiv2's documentation (http://exiv2.org/tags.html).

=== modified file 'src/exiv2wrapper_python.cpp'
--- src/exiv2wrapper_python.cpp	2010-01-22 19:39:18 +0000
+++ src/exiv2wrapper_python.cpp	2010-01-22 19:44:32 +0000
@@ -112,6 +112,8 @@
         .def("_getPixelWidth", &Image::pixelWidth)
         .def("_getPixelHeight", &Image::pixelHeight)
 
+        .def("_getMimeType", &Image::mimeType)
+
         .def("exifKeys", &Image::exifKeys)
         .def("getExifTag", &Image::getExifTag)
         .def("setExifTagValue", &Image::setExifTagValue)

=== modified file 'src/pyexiv2/metadata.py'
--- src/pyexiv2/metadata.py	2010-01-22 19:39:18 +0000
+++ src/pyexiv2/metadata.py	2010-01-22 19:44:32 +0000
@@ -82,6 +82,11 @@
         return (self._image._getPixelWidth(), self._image._getPixelHeight())
 
     @property
+    def mime_type(self):
+        """The mime type of the image."""
+        return self._image._getMimeType()
+
+    @property
     def exif_keys(self):
         """Keys of the available EXIF tags embedded in the image."""
         if self._keys['exif'] is None:

